"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activeSessionsCollection = void 0;
function activeSessionsCollection(principal, tokens) {
    return {
        _links: {
            self: {
                href: principal.href + '/sessions',
                title: 'Active OAuth2 Sessions',
            },
            principal: {
                href: principal.href,
                title: principal.nickname
            },
            item: tokens.map(token => ({
                href: principal.href + '/session/' + token.id
            })),
        },
        total: tokens.length,
    };
}
exports.activeSessionsCollection = activeSessionsCollection;
//# sourceMappingURL=hal.js.map